| eRPC API Reference Rev. 1.8.1 NXP Semiconductors

- Main Page
- API Reference
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | List of all members
erpc::Service Class Referenceabstract
Infrastructure » Server

Abstract interface for service, which can be executed on server side. More...

`#include <erpc_server.h>`

Collaboration diagram for erpc::Service:
[legend]

## Public Member Functions
| Service (uint32_t serviceId)
| Constructor. More...
virtual | ~Service (void)
| Service destructor.
uint32_t | getServiceId (void) const
| Return service id number. More...
Service * | getNext (void)
| Return next service. More...
void | setNext (Service *next)
| Set next service. More...
virtual erpc_status_t | handleInvocation (uint32_t methodId, uint32_t sequence, Codec *codec, MessageBufferFactory *messageFactory)=0
| This function call function implementation of current service. More...

## Protected Attributes
uint32_t | m_serviceId
Service * | m_next

## Detailed Description

Abstract interface for service, which can be executed on server side.

## Constructor & Destructor Documentation

erpc::Service::Service | ( | uint32_t | serviceId | ) |
| inline

Constructor.

This function initializes object attributes.

## Member Function Documentation

uint32_t erpc::Service::getServiceId | ( | void |  | ) | const
| inline

Return service id number.

Returns
  Service id number.

Service* erpc::Service::getNext | ( | void |  | ) |
| inline

Return next service.

Returns
  Pointer to next service.

void erpc::Service::setNext | ( | Service * | next | ) |
| inline

Set next service.

Parameters

  [in] | next | Pointer to next service.

virtual erpc_status_t erpc::Service::handleInvocation | ( | uint32_t | methodId,
|  | uint32_t | sequence,
|  | Codec * | codec,
|  | MessageBufferFactory * | messageFactory
| ) |  |
| pure virtual

This function call function implementation of current service.

Parameters

  [in] | methodId | Id number of function, which is requested.
  [in] | sequence | Sequence number. To be sure that reply from server belongs to client request.
  [in] | codec | For reading and writing data.
  [in] | messageFactory | Used for setting output buffer.

Returns
  Based on handleInvocation implementation.

## Member Data Documentation

uint32_t erpc::Service::m_serviceId
| protected

Service unique id.

Service* erpc::Service::m_next
| protected

Pointer to next service.

The documentation for this class was generated from the following file:

- erpc_server.h